Bridge Worker Status
BridgeWorkerStatus represents the status information of a bridge worker within the system.
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/space/{space_id}/bridge_worker/{bridge_worker_id}/status |
List BridgeWorkerStatuses |
GET |
/space/{space_id}/bridge_worker/{bridge_worker_id}/status/{status_id} |
Get BridgeWorkerStatus |
List BridgeWorkerStatuses
GET /space/{space_id}/bridge_worker/{bridge_worker_id}/status
List BridgeWorkerStatuses
Operation ID: ListBridgeWorkerStatuses
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
bridge_worker_id |
string | ✓ | Unique identifier for a bridge_worker_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of BridgeWorkerStatus |
| 400 | BridgeWorkerStatus request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | BridgeWorkerStatus not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing BridgeWorkerStatus. | application/json |
StandardErrorResponse |
| default | application/json |
Array of BridgeWorkerStatus |
Get BridgeWorkerStatus
GET /space/{space_id}/bridge_worker/{bridge_worker_id}/status/{status_id}
Get BridgeWorkerStatus
Operation ID: GetBridgeWorkerStatus
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
bridge_worker_id |
string | ✓ | Unique identifier for a bridge_worker_id |
status_id |
string | ✓ | Unique identifier for a status_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | BridgeWorkerStatus represents the status information of a bridge worker within the system. | application/json |
BridgeWorkerStatus |
| 400 | BridgeWorkerStatus request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | BridgeWorkerStatus not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing BridgeWorkerStatus. | application/json |
StandardErrorResponse |
| default | BridgeWorkerStatus represents the status information of a bridge worker within the system. | application/json |
BridgeWorkerStatus |
Schemas
BridgeWorkerStatus
BridgeWorkerStatus represents the status information of a bridge worker within the system.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
BridgeWorkerID |
string (uuid) | Unique identifier for the Bridge Worker. | |
BridgeWorkerSlug |
string | Slug for the Bridge Worker. | |
BridgeWorkerStatusID |
string (uuid) | BridgeWorkerStatusID is the unique identifier for the bridge worker status entry. | |
IPAddress |
string | IPAddress is the IP address from which the bridge worker is connecting. | |
OrganizationID |
string (uuid) | OrganizationID is the unique identifier of the organization the bridge worker belongs to. | |
SeenAt |
string (date-time) | The timestamp when the bridge worker last responded in "2023-01-01T12:00:00Z" format. | |
SpaceID |
string (uuid) | SpaceID is the unique identifier of the space the bridge worker belongs to. | |
Status |
string | Status indicates the current status of the bridge worker. Possible values include Connected, Disconnected, ActionSent, ActionResultReceived. |
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |